Bug 436317 - Laptop sleeps when listening with Amarok
Laptop sleeps when listening with Amarok
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 09:44 EST by Chris Ward
Modified: 2009-01-09 02:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2008-03-06 09:44:18 EST
Description of problem:
While listening to music with Amarok (or any media application) hibernation +
sleep mode + suspend + all these things should be temporarily disabled, so as to
not disturb the listeners experience.

It's simply annoying, not necessarily a *bug*, perhaps it could even be
considered a feature. But I believe this functionality should be changed. By
default, when a media player such as Amarok is running in the background, power
management should be disabled.


Version-Release number of selected component (if applicable):
amarok-1.4.8-1.fc8
redhat-release -> Fedora release 8 (Werewolf)

How reproducible:
1. Enable PM (Put computer to sleep when inactive for 11 mins)
2. Open Amarok
3. Play a music file
4. Wait 11 mins
5. Don't touch anything, just enjoy the sounds of music
6. Your computer will sleep...and then you will no longer be enjoying the music
7. PANIC! and then wake the computer up (crossing your fingers that it will turn
back on :-)
8. then continue to listen calmly for an additional 11 minutes while you prepare
dinner or what-not.

:-)

Would this be possible? Any more information needed?
Comment 1 Bug Zapper 2008-11-26 05:02:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rex Dieter 2008-12-23 10:03:42 EST
This would be an excellent candidate to report upstream to bugs.kde.org.  

In short, it would seem to be a reasonable feature request that amarok (temporarilty) disable screensaver (and pm functions) while playing (similar to what existing media (video) players do).
Comment 3 Bug Zapper 2009-01-09 02:42:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.